Sisimai::Lhost::UserDefined(3pm)

NAME
Sisimai::Lhost::UserDefined - User defined MTA module as an example

SYNOPSIS
    use lib '/path/to/your/lib/dir';
    use Your::Custom::Lhost::Module;
    use Sisimai::Mail;
    use Sisimai::Data;
    use Sisimai::Message;

    my $file = '/path/to/mailbox';
    my $mail = Sisimai::Mail->new($file);
    my $mesg = undef;
    my $data = undef;

    while( my $r = $mail->read ) {
        $mesg = Sisimai::Message->new(
                    'data' => $r,
                    'load' => ['Your::Custom::Lhost::Module']
                );
        $data = Sisimai::Data->make('data' => $mesg);
        ...
    }

DESCRIPTION
Sisimai::Lhost::UserDefined is an example module as a template to implement your custom MTA module.

CLASS METHODS

  "description()"
"description()" returns description string of this module.

    print Your::Custom::Lhost::Module->description;

  "smtpagent()"
"smtpagent()" returns MTA name.

    print Your::Custom::Lhost::Module->smtpagent;

  "make(header data, reference to body string)"
"make()" method parses a bounced email and return results as a array reference. See Sisimai::Message for more details.

AUTHOR
azumakuniyuki

COPYRIGHT
Copyright (C) 2015-2020 azumakuniyuki, All rights reserved.

LICENSE
This software is distributed under The BSD 2-Clause License.